#!/home/nop/lua-fltk/flua
-- Maybe a standard interactive shell?

-- This is how *all* callbacks show up in lua-land, with w as the widget
function fltk_dispatch(w) if w.callback then w:callback() end end

w = Fl_Window:new(400,400,"generic window")
w:show()
prepare_stdin() -- no matter what, interact on stdin
